﻿<%@ Page EnableViewState="true" Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs"
    Inherits="_Default" %>

<%@ Register Assembly="RadGrid.Net2" Namespace="Telerik.WebControls" TagPrefix="radG" %>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript">
    function RowMouseOver(rowIndex)
    {
		var row = this.Rows[rowIndex];
		if (row.ItemType == "GroupHeader")
		{
			var tableRow = row.Control;
			
			var placeHolder = FindTextPlaceHolder(tableRow);
			placeHolder.value = (new Date()).toString()
		}
    }
    
    function FindTextPlaceHolder(tableRow)
    {
		var inputs = tableRow.getElementsByTagName("input");
		for (var i = 0; i < inputs.length; i++)
		{
			var input = inputs[i];
			if (input.type == "text" && input.id.indexOf("GroupValuePlaceholder") >= 0)
			{
				return input;	
			}
		}
		return null;
    }
	</script>
</head>
<body>
    <form id="Form1" method="post" runat="server">
        <radG:RadGrid ID="RadGrid1" runat="server" DataSourceID="AccessDataSource1" GridLines="None"
            ShowGroupPanel="True" OnItemCreated="RadGrid1_ItemCreated" 
				OnItemDataBound="RadGrid1_ItemDataBound" Font-Bold="True" 
				OnItemCommand="RadGrid1_ItemCommand" >
            <ClientSettings AllowDragToGroup="True">
				<ClientEvents OnRowMouseOver="RowMouseOver" />
            </ClientSettings>
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="CustomerID" DataSourceID="AccessDataSource1">
                <GroupByExpressions>
                    <radG:GridGroupByExpression>
                        <SelectFields>
                            <radG:GridGroupByField FieldAlias="Country" FieldName="Country" HeaderText="" HeaderValueSeparator="" FormatString="">
                            </radG:GridGroupByField>
                        </SelectFields>
                        <GroupByFields>
                            <radG:GridGroupByField FieldAlias="Country" FieldName="Country" FormatString=""></radG:GridGroupByField>
                        </GroupByFields>
                    </radG:GridGroupByExpression>
                </GroupByExpressions>
                <Columns>
                    <radG:GridBoundColumn DataField="CustomerID" HeaderText="CustomerID" ReadOnly="True"
                        SortExpression="CustomerID" UniqueName="CustomerID">
                    </radG:GridBoundColumn>
                    <radG:GridBoundColumn DataField="Country" HeaderText="Country" SortExpression="Country"
                        UniqueName="Country">
                    </radG:GridBoundColumn>
                </Columns>
                <ExpandCollapseColumn Visible="False">
                    <HeaderStyle Width="19px" />
                </ExpandCollapseColumn>
                <RowIndicatorColumn Visible="False">
                    <HeaderStyle Width="20px" />
                </RowIndicatorColumn>
            </MasterTableView>
        </radG:RadGrid><asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Nwind.mdb"
            SelectCommand="SELECT [CustomerID], [Country] FROM [Customers]"></asp:AccessDataSource>
    </form>
</body>
</html>
